Subject: Re: [PATCH v4] fsmonitor: implement filesystem change listener for Linux

From: Junio C Hamano <[email-masked]>
Date: Sat, 21 Feb 2026 09:07:52 -0800

Paul Tarjan <[email-masked]> writes:

>> I just noticed that the discussion thread went silent after this
>> message.  Has the patch been reviewed and tested well to proceed,
>> except for that meson-build support?
>
> I'd love to see it integrated upstream. Is there anything else you
> need from me?
>
>> > This would also need the below patch to support Meson. Would be great if
>> > you include it, otherwise I can send it as a separate patch once this
>> > topic lands. Thanks!
>
> I'd prefer to take you up on the offer to send the meson support as a
> separate patch.

This part of your message is one thing we needed from you to unblock
ourselves, I guess.

Patrick, do you think you can help making this into two-patch
series, the original one being the [PATCH 1/2] and update for
meson-build in [PATCH 2/2]?

> I'm unfamiliar with that system and the suggested
> patch failed in CI on some dependency installation steps which felt
> unrelated but I didn't want to debug.
> https://github.com/git/git/actions/runs/20720903513

The topic has been in my tree near the tip of 'seen' and I do not
think we saw CI failures coming from this topic.

Thanks.